Subject: Re: [PATCH iwl-next] i40e: Avoid unnecessary use of comma operator

From: Simon Horman <[email-masked]>
Date: Tue, 19 Dec 2023 10:12:02 +0000

On Mon, Dec 18, 2023 at 11:08:38AM -0800, Nick Desaulniers wrote:
> On Mon, Dec 18, 2023 at 11:00 AM Nathan Chancellor <[email-masked]> wrote:
> >
> > On Mon, Dec 18, 2023 at 08:32:28AM -0800, Nick Desaulniers wrote:
> > > (Is -Wcomma enabled by -Wall?)
> >
> > No and last time that I looked into enabling it, there were a lot of
> > instances in the kernel:
> >
> > https://lore.kernel.org/[email-masked]/
> >
> > It is still probably worth pursuing at some point but that is a lot of
> > instances to clean up (along with potentially having a decent amount of
> > pushback depending on the changes necessary to eliminate all instances).
> 
> Filed this todo:
> https://github.com/ClangBuiltLinux/linux/issues/1968
> I'd be happy if Simon keeps poking at getting that warning enabled.

FWIIW, since the discussion cited above I have been keeping an eye on
-Wcomma, mostly wrt to patches for Networking code.

My subjective feelings on this are:

* Few new instances seem to be added
* There are some, though I wouldn't say a lot, of existing
  instances in files that are that is being updated.
* I don't recall any of the instances, new or old, being bugs.
  Though perhaps a very small number were.

So while I'm all for more checks.
And I'm all for only using the comma where it is necessary
(I suspect that often it is a typo).
I do not get the feeling that we are sitting on a trove of nasty bugs.